Bug 145577 - x11-wm/fvwm-crystal: Added a patch to avoid a problem with the variable with used by python
Summary: x11-wm/fvwm-crystal: Added a patch to avoid a problem with the variable with ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-09 17:10 UTC by giacomomariani
Modified: 2010-06-29 20:30 UTC (History)
0 users

See Also:


Attachments
fvwm-crystal.diff (5.19 KB, patch)
2010-04-09 17:10 UTC, giacomomariani
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description giacomomariani 2010-04-09 17:10:08 UTC
Added a patch to avoid a problem with the variable with. It arose with python 2.6
because the considered variable, used by the port, is also used by python.
Comment 1 Stefan Walter freebsd_committer 2010-06-29 11:11:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 2 Stefan Walter freebsd_committer 2010-06-29 11:15:55 UTC
Hi Giacomo,

the patch files/fvwm-crystal.apps.diff doesn't look correct - see the
build error below. Can you please investigate and send an updated patch?

Regards,
Stefan

====================<phase 3: make patch>====================
add_pkg
===>  Patching for fvwm-crystal-3.0.6_4
===>  Applying extra patch /a/ports/x11-wm/fvwm-crystal/files/extra-patch-Makefile
patch ./work/fvwm-crystal-3.0.6/bin/fvwm-crystal.apps < files/fvwm-crystal.apps.diff
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- fvwm-crystal.apps_old      2008-06-23 23:42:54.000000000 +0300
|+++ fvwm-crystal.apps_new      2010-03-22 14:07:57.000000000 +0200
--------------------------
patch: **** can't find ./work/fvwm-crystal-3.0.6/bin/fvwm-crystal.apps
*** Error code 1
Comment 3 Stefan Walter freebsd_committer 2010-06-29 11:15:59 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback.
Comment 4 Stefan Walter freebsd_committer 2010-06-29 20:25:43 UTC
State Changed
From-To: feedback->closed

Committed, with a few changes (see separate mail), thanks!
Comment 5 dfilter service freebsd_committer 2010-06-29 20:25:44 UTC
stefan      2010-06-29 19:25:31 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/fvwm-crystal  Makefile 
  Added files:
    x11-wm/fvwm-crystal/files patch-bin_fvwm-crystal.apps 
  Log:
  Rename a variable to avoid naming conflicts.
  
  PR:             145577
  Submitted by:   Giacomo Mariani <giacomomariani@yahoo.it> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.10      +1 -1      ports/x11-wm/fvwm-crystal/Makefile
  1.1       +74 -0     ports/x11-wm/fvwm-crystal/files/patch-bin_fvwm-crystal.apps (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"